Subject: Re: 26.1.50; Unable to build emacs-26 branch out of tree on fedora 29

From: Paul Eggert <[email-masked]>
Date: Mon, 5 Nov 2018 10:37:04 -0800

I can't reproduce the problem on my Fedora 29 x86-64 platform. My build 
log is attached (compressed). One difference is that I didn't use the 
configure argument "--host=$(rpm -E 
'%{_arch}-fc%{fedora}-%{_host_os}%{_gnu}')", which caused ar, ranlib, 
and pkg-config to not be found on your platform. What happens if you 
omit the --host argument?

Also, the first command discrepancy is that my build log says "GEN 
../../../etc/charsets/8859-2.map" and similarly for other *.map files, 
whereas yours does not, and there are other places where it appears that 
your directory contains files that are already built and may have the 
wrong contents. I suggest looking into that.